<!-- Please remove this file from your project -->
<template>
    <header class="bg-transparent sticky-bar ">
        <div class="container bg-transparent">
            <nav class="bg-transparent flex justify-between items-center py-3">
                <a class="text-3xl font-semibold leading-none" href="/">
                    <img class="h-12" style="height: 4rem !important;"  src="assets/imgs/logos/logo.svg"  alt="" />
                </a>
                <ul class="hidden lg:flex lg:items-center lg:w-auto lg:space-x-12" >
                    <li class="group relative pt-4 pb-4 has-child">
                        <nuxt-link :to="localePath('/')" class="text-sm font-semibold text-blueGray-600 hover:text-blueGray-500">Home</nuxt-link>
                       
                    </li>
                    <!-- <li class="pt-4 pb-4">
                        <a class="text-sm font-semibold text-blueGray-600 hover:text-blueGray-500" href="about.html">About Us</a>
                    </li> -->
                    <!-- <li class="pt-4 pb-4">
                        <a class="text-sm font-semibold text-blueGray-600 hover:text-blueGray-500" href="/service">Services</a>
                    </li> -->
                    <!-- <li class="group relative pt-4 pb-4 has-child">
                        <a class="text-sm font-semibold text-blueGray-600 hover:text-blueGray-500" href="#">Company</a>
                        <ul class="drop-down-menu min-w-200">
                            <li>
                                <a href="portfolio.html" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500">Portfolio</a>
                            </li>
                            <li>
                                <a href="team.html" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500">Team</a>
                            </li>
                            <li>
                                <a href="testimonials.html" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500">Testimonials</a>
                            </li>
                            <li>
                                <a href="pricing.html" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500">Pricing</a>
                            </li>
                            <li>
                                <a href="faqs.html" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500">Faqs</a>
                            </li>
                            <li>
                                <a href="404.html" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500">404</a>
                            </li>
                        </ul>
                    </li> -->
                    
                    <li class="pt-4 pb-4"><nuxt-link :to="localePath('/contact')" class="text-sm font-semibold text-blueGray-600 hover:text-blueGray-500">Contact</nuxt-link></li>
                    <li class="group relative pt-4 pb-4 has-child">
                        <a class="text-sm font-semibold text-blueGray-600 hover:text-blueGray-500" >{{$i18n.locale.toUpperCase()}}</a>
                        <ul class="drop-down-menu min-w-200">
                            <li>
                                <nuxt-link :to="switchLocalePath('en')" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500" style="display:flex">
                                   EN
                                </nuxt-link>
                            </li>
                            <li>
                                <nuxt-link :to="switchLocalePath('th')" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500" style="display:flex">
                                  TH
                                </nuxt-link>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- <div class="hidden lg:block">
                    <a class="btn-accent hover-up-2" href="login.html">Log In</a>
                    <a class="btn-primary hover-up-2" href="signup.html">Sign Up</a>
                </div> -->
                <div class="lg:hidden">
                    <button class="navbar-burger flex items-center py-2 px-3 text-white  rounded border"   @click="show = true" >
                        <svg viewBox="0 0 100 80" width="40" height="40">
                            <rect width="100" height="20"></rect>
                            <rect y="30" width="100" height="20"></rect>
                            <rect y="60" width="100" height="20"></rect>
                        </svg>
                    </button>
                </div>
            </nav>
            <div class="navbar-menu relative z-50 transition duration-300" v-show="show">
                <div class="navbar-backdrop fixed inset-0 bg-blueGray-800 opacity-25"></div>
                <nav class="fixed top-0 left-0 bottom-0 flex flex-col w-5/6 max-w-sm py-6 px-6 bg-white border-r overflow-y-auto transition duration-300">
                    <div class="flex items-center mb-8">
                        <a class="mr-auto text-3xl font-semibold leading-none" href="#">
                            <img class="h-12" src="assets/imgs/logos/logo.svg" alt="" />
                        </a>
                        <button class="navbar-close" @click="show = false">
                            <svg class="h-6 w-6 text-blueGray-400 cursor-pointer hover:text-blue-500" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12"></path>
                            </svg>
                        </button>
                    </div>
                    <div>
                        <ul class="mobile-menu">
                            <li class="mb-1 menu-item-has-children rounded-xl">
                                <nuxt-link to="/" class="block p-4 text-sm text-blueGray-500 hover:bg-blue-50 hover:text-blue-500 rounded-xl">Home</nuxt-link>
                            </li>
                            <li class="mb-1">
                                <nuxt-link to="/contact" class="block p-4 text-sm text-blueGray-500 hover:bg-blue-50 hover:text-blue-500">Contact</nuxt-link>
                            </li>
                            <li class="group relative pt-4 pb-4 has-child">
                                <a  class="block p-4 text-sm text-blueGray-500 hover:bg-blue-50 hover:text-blue-5000" >{{$i18n.locale.toUpperCase()}}</a>
                                <ul class="drop-down-menu min-w-200">
                                    <li>
                                        <nuxt-link :to="switchLocalePath('en')" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500" style="display:flex">
                                            <img  style="height:20px;"  src="assets/imgs/logos/uk.png" alt="" />&nbsp;&nbsp;EN
                                        </nuxt-link>
                                    </li>
                                    <li>
                                        <nuxt-link :to="switchLocalePath('th')" class="menu-sub-item text-sm text-blueGray-600 hover:text-blueGray-500" style="display:flex">
                                            <img  style="height:20px;" src="assets/imgs/logos/thailand.png" alt="" />&nbsp;&nbsp;TH
                                        </nuxt-link>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                      
                    </div>
                    
                </nav>
            </div>
        </div>
    </header>

</template>

<script>
export default {
  name: 'Nav',
  data() {
    return {
      show: false
    }
  }
}
</script>
